{% extends 'base.html' %}

{% block style %}
{% autoescape false %}

<link rel="stylesheet" href="/assets/spectrum-colorpicker2/dist/spectrum.min.css" />


{% endautoescape %}
{% endblock %}

{% block content %}
{% autoescape false %}
<div class="fr-tabs">
  <ul class="fr-tabs__list" role="tablist" aria-label="Administration collectivit&eacute;">
	<li role="presentation">
	  <button id="parameters-tab" class="fr-tabs__tab" tabindex="0" role="tab" aria-selected="true" aria-controls="parameters"><em class="fas fa-stream fr-mr-1w"></em>Param&eacute;trage
	  </button>
	</li>
	<li role="presentation">
	  <button id="communications-list-tab" class="fr-tabs__tab" tabindex="0" role="tab" aria-selected="false" aria-controls="communications-list"><em class="fas fa-stream fr-mr-1w"></em>Listes de diffusion
	  </button>
	</li>
	<li role="presentation">
	  <button id="subscribers-email-list-tab" class="fr-tabs__tab" tabindex="-1" role="tab" aria-selected="false" aria-controls="subscribers-email-list"><em class="fas fa-envelope fr-mr-1w"></em>Liste des
		  abonn&eacute;(es) Email
	  </button>
	</li>
	<li role="presentation">
	  <button id="subscribers-sms-list-tab" class="fr-tabs__tab" tabindex="-1" role="tab" aria-selected="false" aria-controls="subscribers-sms-list"><em class="fas fa-sms fr-mr-1w"></em>Liste des
		abonn&eacute;(es) SMS
	  </button>
	</li>
	<li role="presentation">
	  <button id="count-tab" class="fr-tabs__tab" tabindex="-1" role="tab" aria-selected="false" aria-controls="count"><em class="fas fa-sort-amount-up-alt fr-mr-1w"></em>D&eacute;compte
	  </button>
	</li>
  </ul>
  <div id="parameters" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="parameters-tab" tabindex="0">
	{% include 'organization-parameters-tab.html' %}
  </div>
  <div id="communications-list" class="fr-tabs__panel" role="tabpanel" aria-labelledby="communications-list-tab" tabindex="0">
	  {% include 'communication-tab.html' %}
  </div>
  <div id="subscribers-email-list" class="fr-tabs__panel" role="tabpanel" aria-labelledby="subscribers-email-list-tab" tabindex="0">
	{% include 'email-subscriptions-tab.html' %}
  </div>
  <div id="subscribers-sms-list" class="fr-tabs__panel" role="tabpanel" aria-labelledby="subscribers-sms-list-tab" tabindex="0">
	{% include 'sms-subscriptions-tab.html' %}
  </div>
  <div id="count" class="fr-tabs__panel" role="tabpanel" aria-labelledby="count-tab" tabindex="0">
	{% include 'count-tab.html' %}
  </div>
</div>

{% if facebookPages is not empty %}
    {% include 'modals/administration/facebook-page-selection.html' with {'pages': facebookPages} only %}
{% endif %}

{% endautoescape %}
{% endblock %}

{% block script %}

{% include 'scripts/bootstrap-table-imports.html' %}
{% include '/scripts/bootstrap-table-communications.html' %}

<script src="/assets/spectrum-colorpicker2/dist/spectrum.min.js"></script>
<script type="text/javascript">

	$('#background-color, #text-color, #gradient-color').spectrum({
		type: "text",
		showInput: true,
		showInitial: true
	});

    function ajaxRequestCount(params) {
        $.ajax({
            url: '/action/ajax/count/{{ organization.domain }}',
            method: 'post',
            data: {
                'csrf_name': csrfName,
                'csrf_value': csrfValue
            },
            success: function (data) {
                params.success({
                    'rows': data.rows,
                    'total': data.total
                })
            },
            error: function (er) {
                params.error(er);
            }
        });
    }

	function loadingTemplateCount(message) {
		return '<div class="text-center">Chargement du d&eacute;compte en cours...<br /><div class="spinner-border mt-2" role="status"></div></div>'
	}

    $('#test-configuration').on('click', function () {
        $('#mailbox-parameters input[name="test-configuration"]').val(1);
        /**
         * requestSubmit() agit un peu différement de submit() :
         * il permet de déclencher l'event submit du form et la validation des contraintes des champs.
         * @see https://developer.mozilla.org/en-US/docs/Web/API/HTMLFormElement/requestSubmit
         */
        $('#mailbox-parameters form')[0].requestSubmit();
    })

    $('button.delete-channel').on('click', function () {
        GN.openModal('deleteChannelModal');
        $('#deleteChannelModal input[name="channel-id"]').val($(this).data('channel-id') ?? null);
        $('#deleteChannelModal span.channel-name').html($(this).data('channel-name') ?? null);
    });

    $(document).ready(function () {
        if ($('#facebookPageSelectionModal').length) {
            GN.openModal('facebookPageSelectionModal');
        }
    });

</script>

{% endblock %}
